package com.ejie.ab78.model.denuncias;

/**
 * RelDenIns  
 * 
 *  
 */

public class RelDenIns implements java.io.Serializable {

	private static final long serialVersionUID = 1L;
	private Integer idRelDenIns;
	private String numDenuncia;
	private Integer idInspeccion;
	private String identificadorInspeccion;
	private String usuarioRegistro;

	/**
	 * Method 'RelDenIns'.
	 */
	public RelDenIns() {
	}

	public Integer getIdRelDenIns() {
		return idRelDenIns;
	}

	public void setIdRelDenIns(Integer idRelDenIns) {
		this.idRelDenIns = idRelDenIns;
	}

	public String getNumDenuncia() {
		return numDenuncia;
	}

	public void setNumDenuncia(String numDenuncia) {
		this.numDenuncia = numDenuncia;
	}

	public Integer getIdInspeccion() {
		return idInspeccion;
	}

	public void setIdInspeccion(Integer idInspeccion) {
		this.idInspeccion = idInspeccion;
	}

	public String getIdentificadorInspeccion() {
		return identificadorInspeccion;
	}

	public void setIdentificadorInspeccion(String identificadorInspeccion) {
		this.identificadorInspeccion = identificadorInspeccion;
	}

	public String getUsuarioRegistro() {
		return usuarioRegistro;
	}

	public void setUsuarioRegistro(String usuarioRegistro) {
		this.usuarioRegistro = usuarioRegistro;
	}

	/**
	 * Intended only for logging and debugging.
	 * 
	 * Here, the contents of every main field are placed into the result.
	 * 
	 * @return String
	 */
	@Override
	public String toString() {
		StringBuilder result = new StringBuilder();
		result.append(this.getClass().getName()).append(" Object { ");
		result.append(" [ idRelDenIns: ").append(this.idRelDenIns).append(" ]");
		result.append(", [ numDenuncia: ").append(this.numDenuncia).append(" ]");
		result.append(", [ idInspeccion: ").append(this.idInspeccion).append(" ]");
		result.append(", [ identificadorInspeccion: ").append(this.identificadorInspeccion).append(" ]");
		result.append(", [ usuarioRegistro: ").append(this.usuarioRegistro).append(" ]");
		result.append("}");
		return result.toString();
	}

}
